CREATE TABLE COMPONENT_MAP
(
	CM_ID NUMBER(18) NOT NULL ,
	SM_ID NUMBER(18) NOT NULL,
	SOURCE_COMP_ID NUMBER(18) NOT NULL,
	TARGET_COMP_ID NUMBER(18) NOT NULL
)
;
ALTER TABLE COMPONENT_MAP ADD CONSTRAINT PK_COMPONENT_MAP PRIMARY KEY(CM_ID)
;
